Subject: bug#39389: 27.0.60; A couple of bugs messing with minibuffer completion of /sudo::

From: Jimmy Yuen Ho Wong <[email-masked]>
Date: Mon, 10 Feb 2020 00:16:06 +0000

On Sun, Feb 9, 2020 at 11:44 PM Jimmy Yuen Ho Wong <[email-masked]> wrote:
>
> Ok I've found a way to reproduce bug 2 and 3 *without* `exec-path-from-shell`.
>
> 0. Get on macOS 10.14
> 1. Install [GPGTools](https://gpgtools.org/), this will put the `gpg`
> binary into `/usr/local/bin`
> 2. env -i /Applications/MacPorts/Emacs.app/Contents/MacOS/Emacs -l
> tramp --eval '(setq tramp-verbose 10 exec-path (cons "/usr/local/bin/"
> exec-path))' /sudo::

I should point out that replacing /App.../Emacs with Emacs -q will
also reproduce this issue. But Emacs -Q doesn't. This can be
reproduced in with the nox variant of emacs in the term as well.

> 3. Now the minibuffer prompt will be stuck at Tramp: Sending Password.
> 4. C-g to quit. I've attached a backtrace and the logs in *Messages* for this.
> 5. The `exec-path` is now `("/usr/local/bin/" "."
> "/Applications/MacPorts/Emacs.app/Contents/MacOS/libexec"
> "/Applications/MacPorts/Emacs.app/Contents/MacOS/bin")`. It appears as
> long as `.` is part of the search paths and `gpg` can be found in any
> of the search paths, the prompt will get stuck.
> 6. Saving the credentials for `root@localhost` into `~/.authinfo.gpg`
> will work around this issue.
>